#### D.15.3.7 chNumbers

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chNumbers(r, c); r integer, c list

Return:
  list

Purpose:
  computes the Chern numbers of a vector bundle with Chern classes c on a complex manifold (variety) of dimension r

Note:
  computes basically the patitions of r

Example:

    LIB "chern.lib";
    ring r = 0, (c(1..3)), dp;
    list l=c(1..3);
    // The Chern numbers of a vector bundle with Chern classes c(1), c(2), c(3)
    // on a 3-fold:
    print( chNumbers( 3, l ) );
    ==> [1]:
    ==>    c(1)^3
    ==> [2]:
    ==>    c(1)*c(2)
    ==> [3]:
    ==>    c(3)
    // If the highest Chern class is zero, the Chern numbers are:
    l=c(1..2);
    print( chNumbers( 3, l ) );
    ==> [1]:
    ==>    c(1)^3
    ==> [2]:
    ==>    c(1)*c(2)
    ==> [3]:
    ==>    0
    // Compare this to the output of chNum(...):
    print( chNum( 3, l ) );
    ==> [1]:
    ==>    c(1)^3
    ==> [2]:
    ==>    c(1)*c(2)

User manual for Singular version 4-0-3, 2016, generated by texi2html.